package com.zzyd.config;

import com.zzyd.util.SQBHttpClient;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.reactive.function.client.WebClient;

@EnableConfigurationProperties(ConfigProperties.class)
@Configuration
public class AutoConfiguration {

    private ConfigProperties properties;

    private WebClient webClient;

    public AutoConfiguration(ConfigProperties properties , WebClient.Builder webClientBuilder) {
        this.properties = properties;
        this.webClient = webClientBuilder.baseUrl(properties.getUrl()).build();
    }


    @Bean
    @ConditionalOnMissingBean
    public SQBHttpClient sqbHttpClient(){
        return new SQBHttpClient(properties,webClient);
    }


}
