package com.zzyd.request;

import com.zzyd.request.base.IBaseRequest;
import com.zzyd.response.ActivateResponse;
import lombok.Data;

/**
 * @Description: 请求参数对象，用于激活请求。
 */
@Data
public class ActivateRequest implements IBaseRequest<ActivateRequest, ActivateResponse> {

    /**
     * @Description: 应用ID
     */
    private String app_id;

    /**
     * @Description: 激活码内容
     */
    private String code;

    /**
     * @Description: 设备ID，内容自行定义，同一个app_id下唯一；为了方便识别，建议具有一定的格式；
     * 例如：品牌名称+支付场景
     */
    private String device_id;

    /**
     * @Description: 第三方终端号，必须保证在app_id下唯一
     */
    private String client_sn;

    /**
     * @Description: 终端名
     */
    private String name;

    /**
     * @Description: 当前系统信息，如：Android5.0
     */
    private String os_info;

    /**
     * @Description: SDK版本
     */
    private String sdk_version;

    /**
     * @Description: 方法路径后缀
     * @return 请求路径的后缀
     */
    @Override
    public String apiPathSuffix() {
        return "/terminal/activate";
    }

    @Override
    public boolean level1Data() {
        return true;
    }

    @Override
    public boolean activate() {
        return true;
    }
}
