package com.zzyd.request;

import com.zzyd.request.base.IBaseRequest;
import com.zzyd.response.CheckinResponse;
import lombok.Data;

/**
 * @Description: 请求参数对象，用于终端签到请求。
 */
@Data
public class CheckinRequest implements IBaseRequest<CheckinRequest, CheckinResponse> {

    /**
     * @Description: 终端号
     */
    private String terminal_sn;

    /**
     *@Description: 终端密钥
     */
    private String terminal_key;

    /**
     * @Description: 设备唯一身份ID
     */
    private String device_id;

    /**
     * @Description: 当前系统信息，如：Android5.0
     */
    private String os_info;

    /**
     * @Description: SDK版本
     */
    private String sdk_version;


    /**
     * @Description: 方法路径后缀
     * @return 请求路径的后缀
     */
    @Override
    public String apiPathSuffix() {
        return "/terminal/checkin";
    }

    /**
     * @Description: 返回值是否为一级数据
     * @return 如果返回值是一级数据，返回true；否则返回false
     */
    @Override
    public boolean level1Data() {
        return true;
    }
}
