package com.zzyd.request;

import com.zzyd.request.base.IBaseRequest;
import com.zzyd.response.QueryResponse;
import lombok.Data;

/**
 * @Description: 请求参数对象，用于查询请求。
 */
@Data
public class QueryRequest implements IBaseRequest<QueryRequest, QueryResponse> {

    /**
     * @Description: 收钱吧终端ID
     */
    private String terminal_sn;

    /**
     * @Description: 收钱吧系统订单号
     */
    private String sn;

    /**
     * @Description: 商户自己的订单号
     */
    private String client_sn;

    /**
     * @Description: 退款序列号
     */
    private String refund_request_no;

    /**
     * @Description: 方法路径后缀
     * @return 请求路径的后缀
     */
    @Override
    public String apiPathSuffix() {
        return "/upay/v2/query";
    }

    /**
     * @Description: 返回值是否为集合
     * @return 如果返回值是集合，返回true；否则返回false
     */
    @Override
    public boolean ifList() {
        return false;
    }
}
