package com.zzyd.request;

import com.zzyd.request.base.IBaseRequest;
import lombok.Data;

/**
 * @Description: 请求参数对象，用于交易推送请求。
 */
@Data
public class TradePushRequest implements IBaseRequest<TradePushRequest, String> {

    /**
     * @Description: 收钱吧终端号
     */
    private String terminal_sn;

    /**
     * @Description: 商户订单号
     */
    private String out_trade_no;

    /**
     * @Description: 订单金额
     */
    private String total_amount;

    /**
     * @Description: 推送时间（时间戳，13位）
     */
    private String trade_time;

    /**
     * @Description: 推送设备号
     */
    private String target_device_id;

    /**
     * @Description: 回调地址
     */
    private String notify_url;

    /**
     * @Description: 订单备注
     */
    private String remark;

    /**
     * @Description: 方法路径后缀
     * @return 请求路径的后缀
     */
    @Override
    public String apiPathSuffix() {
        return "/appPush/tradePush";
    }
}
