package com.zzyd.response;

import lombok.Data;

/**
 * @Description: 响应参数对象，用于自动撤单请求的响应。
 */
@Data
public class AutoCancelResponse {

    /**
     * @Description: 结果码
     */
    private String resultCode;

    /**
     * @Description: 错误码
     */
    private String errorCode;

    /**
     * @Description: 错误消息
     */
    private String errorMessage;

    /**
     * @Description: 收钱吧终端ID
     */
    private String terminalSn;

    /**
     * @Description: 收钱吧唯一订单号
     */
    private String sn;

    /**
     * @Description: 商户订单号
     */
    private String clientSn;

    /**
     * @Description: 流水状态
     */
    private String status;

    /**
     * @Description: 订单状态
     */
    private String orderStatus;

    /**
     * @Description: 支付方式
     */
    private String payway;

    /**
     * @Description: 支付方式名称
     */
    private String paywayName;

    /**
     * @Description: 支付平台的订单凭证号
     */
    private String tradeNo;

    /**
     * @Description: 交易总金额
     */
    private String totalAmount;

    /**
     * @Description: 剩余金额
     */
    private String netAmount;

    /**
     * @Description: 本次操作金额
     */
    private String settlementAmount;

    /**
     * @Description: 上次操作在收钱吧的完成时间
     */
    private String finishTime;

    /**
     * @Description: 上次操作在支付平台完成的时间
     */
    private String channelFinishTime;

    /**
     * @Description: 商品概述
     */
    private String subject;

    /**
     * @Description: 操作员
     */
    private String operator;
}
