package com.zzyd.response.base;

import lombok.Data;

/**
 * @Description: 通用接口响应对象，用于统一处理所有接口的响应格式。
 */
@Data
public class CommonResponse<T> {

    /**
     * @Description: 通讯响应码
     * 200：通讯成功；
     * 400：客户端错误；
     * 500：服务端错误
     */
    private String resultCode;

    /**
     * @Description: 通讯错误码
     * 通讯失败时返回，具体值见附录《公共错误码》
     */
    private String errorCode;

    /**
     * @Description: 通讯错误信息描述
     * 通讯失败时返回，具体信息见附录《公共错误码》
     */
    private String errorMessage;

    /**
     * @Description: 业务响应数据
     * 通讯成功时返回，数据类型为泛型T
     */
    private T bizResponse;
}
