package com.zzyd.util;

import com.alibaba.fastjson.JSONObject;
import com.zzyd.config.ConfigProperties;
import com.zzyd.request.base.IBaseRequest;
import org.springframework.http.MediaType;
import org.springframework.web.reactive.function.client.WebClient;
import reactor.core.publisher.Mono;

import javax.annotation.PostConstruct;
import java.io.UnsupportedEncodingException;

public class SQBHttpClient {

    public static SQBHttpClient client;

    private ConfigProperties properties;

    private WebClient webClient;

    public static String terminalKey = "";

    public static String terminalSn = "";

    public SQBHttpClient(ConfigProperties properties, WebClient webClient) {
        this.properties = properties;
        this.webClient = webClient;
    }

    @PostConstruct
    public void init(){
        client = this;
    }

    public static <T extends IBaseRequest>String doExecute(T apiRequest){
        String sn = client.properties.getVendorSn();
        String key = client.properties.getVendorKey();
        JSONObject jsonObject = JSONObject.parseObject(JSONObject.toJSONString(apiRequest));
        if(apiRequest.apiPathSuffix().equals("/terminal/checkin")){
            terminalSn = jsonObject.getString("terminal_sn");
            terminalKey = jsonObject.getString("terminal_key");
            jsonObject.remove("terminal_key");
        }
        if(!apiRequest.activate()){
            if(terminalSn.length()==0){
                throw new RuntimeException("请先签到设备，每天签到一次！");
            }
            sn = terminalSn;
            key = terminalKey;
        }
        String param = jsonObject.toJSONString();
        Mono<String> response = client.webClient.post()
                .uri(client.properties.getUrl()+apiRequest.apiPathSuffix())
                .contentType(MediaType.valueOf("application/json; charset=UTF-8"))
                .header("Authorization",sn + " " + getSign(param+key))
                .bodyValue(param)
                .retrieve()
                .bodyToMono(String.class);
        return response.block();
    }


    public static String getSign(String signStr) {
        try{
            String md5 = MD5Util.encryptMd5(signStr);
            return md5;
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return  null ;
        }
    }

}
